Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class MissingDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.MissingDataException

All Implemented Interfaces:
  Serializable

public class MissingDataException
extends NetuixException

This exception is thrown when a portal object does not contain information necessary to perform the specified action. An example would be attempting to create a portal desktop without defining a main `Book`, `Shell`, or `LookAndFeel`. Another example would be attempting to create a localized desktop without the required localized resources.

See Also:
  Serialized Form

Constructor Summary
`MissingDataException()` Constructs a `MissingDataException` with no specified detail message.
`MissingDataException(String s)` Constructs a `MissingDataException` with the specified detail message.
`MissingDataException(String s, Throwable cause)` Constructs a `MissingDataException` with the specified detail message and causal exception.
`MissingDataException(Throwable cause)` Constructs a `MissingDataException` with the specified causal exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingDataException

    public MissingDataException()

  Constructs a `MissingDataException` with no specified detail message.

### MissingDataException

    public MissingDataException(String s)

  Constructs a `MissingDataException` with the specified detail message.

Parameters:
  `s` - The detail message

### MissingDataException

    public MissingDataException(String s,
                                Throwable cause)

  Constructs a `MissingDataException` with the specified detail message and causal exception.

Parameters:
  `s` - The detail message
  `cause` - The exception that caused this exception to be thrown

### MissingDataException

    public MissingDataException(Throwable cause)

  Constructs a `MissingDataException` with the specified causal exception.

Parameters:
  `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved